Bug 441186 - Review Request: freenx-server - Free Software (GPL) Implementation of the NX Server
Review Request: freenx-server - Free Software (GPL) Implementation of the NX ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 438660
  Show dependency treegraph
 
Reported: 2008-04-06 23:31 EDT by Axel Thimm
Modified: 2008-04-24 04:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 12:03:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-04-06 23:31:24 EDT
Spec URL: http://dl.atrpms.net/all/freenx-server.spec
SRPM URL: http://dl.atrpms.net/all/freenx-server-0.7.2-6.src.rpm
Description: 
NX is an exciting new technology for remote display. It provides near
local speed application responsiveness over high latency, low
bandwidth links. The core libraries for NX are provided by NoMachine
under the GPL. FreeNX-server is a GPL implementation of the NX Server.

freenx is part of Fedora, but upstream now ships freenx-server and freenx-client, see bug #438660. freenx-server is obsoleting/providing freenx.
Comment 1 Kevin Fenzi 2008-04-07 14:43:37 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
961913bb82ee6e60d8df6f10e647bda9  freenx-server-0.7.2.tar.gz
961913bb82ee6e60d8df6f10e647bda9 
../rpm/freenx-server-0.7.2/freenx-server-0.7.2.tar.gz
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
 
Issues:

1. Why have Release already at 6? This is a version bump from the old one,
so I would think it should be able to start again at 1?

2. rpmlint says:

freenx-server.src:20: E: hardcoded-library-path in /usr/lib/cups/backend
freenx-server.src:95: E: hardcoded-library-path in /usr/lib/cups/backend/nxsmb
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver/db 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver/db/closed 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver/db/failed 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver/db/running 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver/home 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/lib/nxserver/home/.ssh 0700
freenx-server.x86_64: E: non-standard-dir-perm /var/log/nx 0700
freenx-server.x86_64: E: non-standard-uid /etc/logrotate.d/freenx nx
freenx-server.x86_64: E: non-standard-uid /etc/nxserver/node.conf.sample nx
freenx-server.x86_64: E: non-standard-uid /etc/nxserver nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver/db/closed nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver/db/failed nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver/db nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver/db/running nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver/home nx
freenx-server.x86_64: E: non-standard-uid
/var/lib/nxserver/home/.ssh/authorized_keys nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver/home/.ssh nx
freenx-server.x86_64: E: non-standard-uid /var/lib/nxserver nx
freenx-server.x86_64: E: non-standard-uid /var/log/nx nx
freenx-server.x86_64: W: dangerous-command-in-%post mv
freenx-server.x86_64: W: dangling-symlink
/var/lib/nxserver/home/.ssh/authorized_keys /etc/nxserver/server.id_dsa.pub.key
freenx-server.x86_64: W: hidden-file-or-dir /var/lib/nxserver/home/.ssh
freenx-server.x86_64: W: hidden-file-or-dir /var/lib/nxserver/home/.ssh
freenx-server.x86_64: W: non-conffile-in-etc /etc/nxserver/node.conf.sample
freenx-server.x86_64: W: spurious-executable-perm
/usr/share/doc/freenx-server-0.7.2/nxsetup
freenx-server.x86_64: W: symlink-should-be-relative
/var/lib/nxserver/home/.ssh/authorized_keys /etc/nxserver/server.id_dsa.pub.key

All these can be ignored I think.

freenx-server.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/freenx

perhaps re-name the logrotate file to 'freenx-server' ?

Both of those issues are pretty minor, so if you could address them
before you import, that would be great. This package is APPROVED.
Comment 2 Axel Thimm 2008-04-08 13:09:37 EDT
Thanks for the super-fast review!!!

> freenx-server.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/freenx
> 
> perhaps re-name the logrotate file to 'freenx-server' ?

Yes, I missed that one! I'll fix it before importing.

> Why have Release already at 6? This is a version bump from the old one,
> so I would think it should be able to start again at 1?

I'd like to keep it that way especially because it is the forked revision, so I
can see the continuity of the package. But maybe this is overkill for the client
package (the other review).
Comment 3 Axel Thimm 2008-04-08 13:18:05 EDT
New Package CVS Request
=======================
Package Name: freenx-server
Short Description: Free Software (GPL) Implementation of the NX Server
Owners: athimm
Branches: F-7 F-8
InitialCC: Jon Ciesla (limb)
Cvsextras Commits: no (too many people)
Comment 4 Kevin Fenzi 2008-04-08 14:14:56 EDT
cvs done. 
Comment 5 Axel Thimm 2008-04-10 12:02:43 EDT
Thanks!

I don't see it yet in bugzilla, I wanted to move all bugs from freenx to
freenx-server. But maybe I'm just impatient and bugzilla only shows this entry
once the built packages appear in rawhide first?
Comment 6 Kevin Fenzi 2008-04-10 12:41:09 EDT
There is some kind of issue with the bugzilla sync script it seems. ;( 

Hopefully it will be fixed soon. It's being worked on. 
Sorry for the delay.
Comment 7 Axel Thimm 2008-04-21 17:41:07 EDT
(In reply to comment #6)
> There is some kind of issue with the bugzilla sync script it seems. ;( 
> 
> Hopefully it will be fixed soon. It's being worked on. 
> Sorry for the delay.

Hi,

there still is no freenx-server entry for bugzilla. Thanks!
Comment 8 Kevin Fenzi 2008-04-21 21:33:09 EDT
Yeah, sadly it still seems to be broken. ;( 

Will see what I can find out. 
Comment 9 Axel Thimm 2008-04-22 02:25:01 EDT
BTW I also can't commit anything to freenx-server anymore. The cvs operation
claims that I'm not in the ACLs, OTOH the pkgdb has me as owner.

This is probably related to the CVS outage for branching, but Jesse mail wrote
that all ACLs are restored. Maybe freenx-server's was not for some reason. I
didn't check with any other package (with a phony commit).
Comment 10 Kevin Fenzi 2008-04-23 19:46:40 EDT
ok, the bugzilla sync script is fixed now, so I see freenx-server in bugzilla
now. :) 

also, the CVS was likely fallout after the mass branching... is it working ok now? 
Comment 11 Axel Thimm 2008-04-24 04:32:46 EDT
Yes, thanks, all is working now!

Note You need to log in before you can comment on or make changes to this bug.